<?php

session_start();

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");



require_once ("../contenido/contenido.php");

$oContenido = new cContenido();



?>

<div class="content-wrapper">

	<!-- Content Header (Page header) -->

	<section class="content-header">

		<h1>

			Usuario - Punto de Venta

			<small>modulo</small>

		</h1>

		<ol class="breadcrumb">

			<li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>

			<li><a href="#">Mantenimiento</a></li>

			<li><a href="#">Ventas</a></li>

			<li class="active"></i> Usuario PV</li>

		</ol>

	</section>

	<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

		<div class="row">

			<div class="col-xs-12">

				<div class="box">

					<div class="box-header">

						<!-- <button id="btn_agregar" onClick="usuariopv_form('insertar')" class="btn btn-primary">Agregar</button> -->

						<button id="btn_actualizar" class="btn btn-default">Actualizar</button>

						<div id="msj_usuariopv" class="alert alert-info pull-right" style="padding:2px;margin-bottom:0px;display:none"></div> 

					</div>

				</div>

			</div>

		</div>

	</section>



	<!-- Filter content -->

	<div id="div_usuariopv_filtro"></div>

	<!-- Table content -->

	<div id="div_usuariopv_tabla"></div>

	<!-- Form content --> 

	<div class="modal fade" id="div_usuariopv_form" data-keyboard="true" data-backdrop="static" tabindex="-1" role="document">

		<div class="modal-dialog modal-lg" role="document">

			<div class="modal-content">				

			</div><!-- /.modal-content -->

		</div><!-- /.modal-dialog -->

	</div><!-- /.modal --> 





	<script type="text/javascript">



		function usuariopv_filtro()

		{

			$.ajax({

				type: "POST",

				url: "../usuariopv/usuariopv_filtro.php",

				async:true,

				dataType: "html",                      

		//data: ({

			//compra: $('#txt_fil_pro').val()

		//}),

		beforeSend: function() {

			$('#div_usuariopv_filtro').addClass("ui-state-disabled"); 

		},

		success: function(html){

			$('#div_usuariopv_filtro').html(html);

		},

		complete: function(){

			$('#div_usuariopv_filtro').removeClass("ui-state-disabled");

		}

	});

		}





		function usuariopv_tabla()

		{	

			$.ajax({

				type: "POST",

				url: "../usuariopv/usuariopv_tabla.php",

				async:true,

				dataType: "html",   

				data: $("#for_fil_usu").serialize(),                   

				beforeSend: function() {

					$('#div_usuariopv_tabla').addClass("ui-state-disabled");

				},

				success: function(html){

					$('#div_usuariopv_tabla').html(html);

				},

				complete: function(){			

					$('#div_usuariopv_tabla').removeClass("ui-state-disabled");

				}

			});     

		}



		function usuariopv_form(act,idf)

		{

			$.ajax({

				type: "POST",

				url: "../usuariopv/usuariopv_form.php",

				async:true,

				dataType: "html",                      

				data: ({

					action: act,

					usu_id: idf

				}),

				beforeSend: function() {

					$('#table').hide();

					$('#msj_usuariopv').hide();



					var mymodal = $('#div_usuariopv_form');

					mymodal.modal('show');

					$('#div_usuariopv_form .modal-content').html('Cargando...');

				},

				success: function(html){

					$('#div_usuariopv_form .modal-content').html(html);

					$(window).scrollTop(0);				

				}

			});

		}



		function eliminar_usuariopv(id){

			$('#msj_usuariopv').hide();  

			if(!confirm('¿Desea eliminar?'))

				return false;

			$.ajax({

				type: "POST",

				url: "../usuariopv/usuariopv_reg.php",

				dataType: "json",

				async:true,                     

				data:({

					action: "eliminar",

					tar_id:		id

				}),

				beforeSend: function() {

					$('#msj_usuariopv').html('Eliminando...');

					$('#msj_usuariopv').show(100);

				},

				success: function(data){

					$('#msj_usuariopv').html(data.tar_msj);

					usuariopv_tabla();

				}

			});

		}



//

$(function() {

	

	$('#btn_actualizar').click(function() {

		$("#content").load("../usuariopv/usuariopv_vista.php");

	});





	usuariopv_filtro();



	setTitle("Usuario Punto de Venta - "+nameofempresa);	



	

});



</script>